Skip to main content
POST
/
bookings
Book & Pay
curl --request POST \
  --url https://api.example.com/bookings \
  --header 'Content-Type: application/json' \
  --data '
{
  "quoteId": "<string>",
  "payWith": "<string>",
  "paymentMethod": "<string>"
}
'

Request

quoteId
string
required
UUID of a valid, non-expired quote.
payWith
string
required
Currency to pay with.
paymentMethod
string
Payment method (default: auto).
curl -X POST https://api.midasprotocol.org/bookings \
  -H "Authorization: Bearer pp_your_key" \
  -H "Content-Type: application/json" \
  -d '{ "quoteId": "quote-uuid", "payWith": "USDC" }'

Response

{
  "id": "uuid", "status": "CONFIRMED",
  "confirmationCode": "BK-ABC123",
  "serviceId": "uuid", "totalAmount": "25.00", "currency": "USDC",
  "railUsed": "internal", "transactionId": "uuid"
}